Name: libtlssep
Version: 0.1.1
Release: 1%{?dist}
Summary: A TLS library with built-in privilege separation protections

Group: System Environment/Libraries
License: GPLv2.1+
URL: http://www.flyn.org/projects/libtlssep/
Source0: http://www.flyn.org/projects/%name/%{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: openssl-devel, libconfig-devel

%description 
Libtlssep (pronounced lib·te̅·el·sep) sets out to provide an improved 
TLS API while also protecting private keys using privilege separation. 
Libtlssep's architecture includes a helper process called 
tlssep-decorator which handles all TLS operations and thus is able to 
isolate private keys from applications. An application first creates a 
network socket to a server (or client), and then it passes this 
socket to tlssep-decorator. All subsequent communication with the 
server passes through tlssep-decorator.

%prep
%setup -q

%build
%configure                                \
	--disable-static
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot} INSTALL="install -p"
rm -f %{buildroot}%{_libdir}/libtlssep*.la

%clean
rm -rf %{buildroot}

%files 
%defattr(-, root, root, -)
%{_libdir}/*.so.0
%{_libdir}/*.so.%{version}
%{_libexecdir}/tlssep-decorator
%{_mandir}/*/*
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README FAQ 

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%package devel
Summary: Files needed to develop modules using libtlssep's libraries
Group: Development/Libraries
Requires: libtlssep = %{version}-%{release}, pkgconfig

%description devel
This package provides the libraries, include files, and other 
resources needed for developing modules using libtlssep's API.

%files devel
%defattr(-, root, root, -)
%{_libdir}/pkgconfig/libtlssep-0.1.pc
%{_includedir}/tlssep.h
%{_includedir}/tlssep-status.h
%{_libdir}/*.so
%{_datadir}/gtk-doc/html/libtlssep-0.1

%changelog
* Wed May 13 2015 W. Michael Petullo <mike[@]flyn.org> - 0.0.1-1
- Initial package for Fedora

