#ifndef __TLSSEP_CONFIG_H
#define __TLSSEP_CONFIG_H

#include <stdbool.h>
#include <tlssep.h>
#include <tlssep-private.h>

bool tlssep_config_init(const char *config_path, const char *application_path);
bool tlssep_config_lookup_certificate_path(const char **cert_path);
bool tlssep_config_lookup_privkey_path(const char **privkey_path);
bool tlssep_config_lookup_enough(int *enough);
bool tlssep_config_lookup_require_client_certificate(bool *require_client_certificate);
bool tlssep_config_lookup_provide_client_certificate(bool *provide_client_certificate);
bool tlssep_config_lookup_verification_engines(int *engine_mask);
void tlssep_config_free(void);

#endif
