#ifndef __TLSSEPPRIVATE_H
#define __TLSSEPPRIVATE_H

#include <stdio.h>

typedef enum tlssep_verification_engine_t {
        TLSSEP_VERIFICATION_ENGINE_UNSAFE      = 1,
        TLSSEP_VERIFICATION_ENGINE_CA          = 1 << 1,
        TLSSEP_VERIFICATION_ENGINE_SELF_SIGNED = 1 << 2,
	TLSSEP_VERIFICATION_ENGINE_LAST,
} tlssep_verification_engine_t;

/* We originally tried ONC RPC, but were not satisfied by its
 * performance. Its throughput seemed to be 1/10th the encryption rate.
 */
typedef enum tlssep_op_t {
	TLSSEP_OP_INIT = 0,
	TLSSEP_OP_ACCEPT,
	TLSSEP_OP_CONNECT,
	TLSSEP_OP_WRITE,
	TLSSEP_OP_READ,
	TLSSEP_OP_PEEK,
	TLSSEP_OP_SETNONBLOCK,
	TLSSEP_OP_CLOSE,
	TLSSEP_OP_TERMINATE
} tlssep_op_t;

/* NOTE: Bigger message sent outside of struct, as we do not know its size
 * and we want to avoid malloc/C99 flexible array members.
 */
typedef struct tlssep_args_t {
	tlssep_op_t  op;
	_tlssep_id_t id;
	int          size;
	char         buf[BUFSIZ];
} tlssep_args_t;

/* NOTE: Big message is read outside of struct, as we do not know its size
 * and we want to avoid malloc/C99 flexible array members.
 */
typedef struct tlssep_ret_t {
	tlssep_status_t status;
	_tlssep_id_t    id;
	int             size;
	char            buf[BUFSIZ];
} tlssep_ret_t;

#endif
